Arch: da Mesh a Forma

From FreeCAD Documentation
Revision as of 09:03, 6 April 2019 by Renatorivo (talk | contribs)

Da Mesh a Forma

Posizione nel menu
Arch → Utilità → Da Mesh a Forma
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Dividi mesh, Rimuovi Forma

Descrizione

Questo strumento converte un oggetto Mesh selezionato in un oggetto Forma. Notare che questo strumento è ottimizzato per oggetti con facce piane (senza curve). Lo strumento corrispondente dell'ambiente Parte può essere più adatto per gli oggetti che contengono superfici curve.

Utilizzo

  1. Selezionare un oggetto mesh.
  2. Premere il pulsante Da mesh a forma in Arch → Utilità → Da mesh a forma.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Questo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
Trasforma un oggetto maglia in una forma, unendo le sfaccettature complanari.
import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)